fakeroot (1.20-3+dyson2) unstable; urgency=medium

  * Moved libraries from /usr/lib/*/libfakeroot
    into plain /usr/lib/*/, so runtime linker can find
    them without additional configuration.

 -- Igor Pashev <pashev.igor@gmail.com>  Thu, 25 May 2017 00:33:19 +0300

fakeroot (1.20-3+dyson1) unstable; urgency=low

  * Package for Dyson
  * Build depends: libacl1-dev [!illumos-any], libsec-dev [illumos-any]
  * Added dyson-acl.patch
  * Added dyson-autotools-regen.patch

 -- Igor Pashev <pashev.igor@gmail.com>  Tue, 28 Jan 2014 03:33:11 +0400

fakeroot (1.20-3) unstable; urgency=low

  * Fix Replaces/Breaks headers on libfakeroot.  closes: #730792.
  * Drop biarch build-deps.

 -- Clint Adams <clint@debian.org>  Fri, 29 Nov 2013 11:33:55 -0500

fakeroot (1.20-2) unstable; urgency=low

  * Patch from Hilko Bengen to hardcode path to setcap
    in the test suite.  closes: #708959.
  * Patches from Hilko Bengen and Piotr Roszatycki for
    multiarch support.  closes: #636192.

 -- Clint Adams <clint@debian.org>  Thu, 28 Nov 2013 14:01:01 -0500

fakeroot (1.20-1) unstable; urgency=low

  * Patch from Andrew Shadura to fix fts_statp-related segfault.
    closes: #722596.
  * Use colon as a delimiter for preload libs. closes: #697430.
  * Patch from Steve Langasek to add support for wrapping
    setpriority(). closes: #693580.

 -- Clint Adams <clint@debian.org>  Fri, 20 Sep 2013 09:55:31 -0400

fakeroot (1.19-2) unstable; urgency=low

  * Patch from Colin Watson to use appropriate strip command
    when cross-building.  closes: #693975.

 -- Clint Adams <clint@debian.org>  Thu, 16 May 2013 21:10:46 -0400

fakeroot (1.19-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.9.4.
  * Patch from David Bartley to wrap acl_get_fd and acl_get_file.
    closes: #521178.
  * Build-depend on libcap-dev and libcap2-bin on Linux.

 -- Clint Adams <clint@debian.org>  Thu, 16 May 2013 20:19:55 -0400

fakeroot (1.18.4-2) unstable; urgency=low

  * Disable stat64 for FTS functions in a Debian-local patch,
    since FTS is always built without LFS in eglibc. Fixes
    pax on hurd-i386 (at least).  closes: #676428.

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 06 Jun 2012 20:33:31 +0000

fakeroot (1.18.4-1) unstable; urgency=low

  * More MacOS X patches from Kyle J. McKay.

 -- Clint Adams <clint@debian.org>  Sat, 02 Jun 2012 14:27:39 -0400

fakeroot (1.18.3-1) unstable; urgency=low

  * Disable SYSV tests on the Hurd.  closes: #651103.
  * Bump to Standards-Version 3.9.3.
  * Solaris patches from Mikhail Gusarov.  closes: #668277.

 -- Clint Adams <clint@debian.org>  Sat, 21 Apr 2012 22:24:23 -0400

fakeroot (1.18.2-1) unstable; urgency=low

  * German translation from Chris Leick.  closes: #646405.
  * Initial multiarch support from Yann Dirson.  closes: #636192.
  * Improved build robustness from Yann Dirson.  closes: #641503.
  * Improved fakeroot-tcp robustness from Thomas Schwinge.  closes: #641200.
  * Add build-arch and build-indep targets.

 -- Clint Adams <clint@debian.org>  Wed, 30 Nov 2011 22:37:00 -0500

fakeroot (1.18.1-1) unstable; urgency=low

  * Patch from Petr Salinger to fix tar test on GNU/kFreeBSD.
    closes: #643872.

 -- Clint Adams <clint@debian.org>  Sat, 01 Oct 2011 12:40:52 -0400

fakeroot (1.18-1) unstable; urgency=low

  * Improved MacOS X support from Kyle J. McKay.

 -- Clint Adams <clint@debian.org>  Mon, 29 Aug 2011 17:25:49 -0400

fakeroot (1.17-1) unstable; urgency=low

  * Revert access() support patch.  closes: #630129.

 -- Clint Adams <clint@debian.org>  Thu, 18 Aug 2011 06:58:51 -0400

fakeroot (1.16-1) unstable; urgency=low

  * Patch from Jonathan Nieder to add access() support.
    closes: #629956.
  * Bump to Standards-Version 3.9.2.

 -- Clint Adams <clint@debian.org>  Thu, 09 Jun 2011 20:44:28 -0400

fakeroot (1.15.1-1) unstable; urgency=low

  * Patch from Aurelien Jarno to fix lchown support.
    closes: #620245.

 -- Clint Adams <clint@debian.org>  Thu, 31 Mar 2011 10:32:41 -0400

fakeroot (1.15-1) unstable; urgency=low

  * Patch from Aurelien Jarno to add lchmod() support (for GNU/kFreeBSD).
    closes: #618782.
  * Patch from Justin B. Rye to improve short and long package descriptions.
    closes: #615852.

 -- Clint Adams <clint@debian.org>  Mon, 28 Mar 2011 11:10:45 -0400

fakeroot (1.14.5-2) unstable; urgency=low

  * Drop ancient Conflicts.

 -- Clint Adams <clint@debian.org>  Fri, 11 Feb 2011 23:51:49 -0500

fakeroot (1.14.5-1) unstable; urgency=low

  * Clear dlerror() just in case dlsym() legitimately returns
    NULL, to prevent misleading errors on Nexenta.  Thanks to
    Pavel Strashkin.

 -- Clint Adams <clint@gnu.org>  Sun, 05 Dec 2010 14:04:18 -0500

fakeroot (1.14.4-2) unstable; urgency=low

  * Patch from Michael Gilbert to re-enable biarch on amd64 and
    conflict with libc6-i386 (<= 2.9-13).  closes: #605077.

 -- Clint Adams <clint@gnu.org>  Mon, 29 Nov 2010 19:57:45 -0500

fakeroot (1.14.4-1) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * Adapt prebuild to preroll for upstream separation.
  * Rename changelog to changelog.Debian.
  * communicate.h: patch from Bernhard Reutner-Fischer to enable LFS
    builds against uClibc.  closes: #556257.

 -- Clint Adams <schizo@debian.org>  Sat, 14 Nov 2009 22:05:51 -0500

fakeroot (1.14.3) unstable; urgency=low

  * Apply patch (tweaked) from VMware: "Make sure STAT64_SUPPORT is
    defined on Mac OS, and wrap versioned symbols."
  * Apply patch (tweaked) from VMware: "Wrap *getattrlist() functions
    (Mac OS-specific, used on HFS+ filesystems)."
  * Apply patch (guarded, tweaked) from VMware: "Add debug support."
  * Conditionally build MacOS X symbol-versioned wrappers.

 -- Clint Adams <schizo@debian.org>  Tue, 27 Oct 2009 21:55:29 -0400

fakeroot (1.14.2) unstable; urgency=low

  * Apply (tweaked) patch from VMware: "Fix places which were
    incorrectly not using the INT_* macros. This gets rid of a bunch
    of STAT64_SUPPORT checks."
  * Apply patch from VMware: "Move the _STAT_VER argument of all INT_*
    macros from the call site to the definition of the macros."
  * Incorporate fts_children wrapper fixes from VMware version.
  * Apply VMware patch: "Remove the unused 'done' variable in
    load_library_symbols(): the function can only be called once, so
    there is no need for the variable anyway."
  * Apply VMware patch: "Remove from wrapfunc.inp the function which are
    not actually wrapped in libfakeroot.c."

 -- Clint Adams <schizo@debian.org>  Tue, 27 Oct 2009 01:16:22 -0400

fakeroot (1.14.1) unstable; urgency=low

  * Apply patch from VMware: "Get rid of a bunch of STUPID_ALPHA_HACK
    checks by always passing 3 arguments to INT_SEND_STAT."
  * Apply patch from VMware: "Get rid of all remaining STUPID_ALPHA_HACK
    checks (except one at the top) by abstracting the difference of
    number of parameters into new SEND_STAT* and SEND_GET_STAT* macros."

 -- Clint Adams <schizo@debian.org>  Mon, 26 Oct 2009 23:48:26 -0400

fakeroot (1.14) unstable; urgency=low

  * Wrap fts_children.
  * Bump to Standards-Version 3.8.3.

 -- Clint Adams <schizo@debian.org>  Fri, 09 Oct 2009 00:19:14 -0400

fakeroot (1.13.2) unstable; urgency=low

  * Apply patch from Stuart Prescott to rename TEMP variable.
    closes: #550215.
  * Rename PREFIX and BINDIR variables.

 -- Clint Adams <schizo@debian.org>  Thu, 08 Oct 2009 23:12:19 -0400

fakeroot (1.13.1) unstable; urgency=low

  * Apply patch from U.V. Ravindra to use native htonll()/ntohll() on Solaris.
  * Apply patch from U.V. Ravindra to properly typecast uid_t/gid_t
    assignments.

 -- Clint Adams <schizo@debian.org>  Mon, 28 Sep 2009 21:19:21 -0400

fakeroot (1.13) unstable; urgency=low

  * libfakeroot.c: apply fix from lorenz schori to properly deal with
    STAT64_SUPPORT in fts_read.  closes: #541335.

 -- Clint Adams <schizo@debian.org>  Thu, 13 Aug 2009 15:25:28 -0400

fakeroot (1.12.5) unstable; urgency=low

  * Disable biarch support on amd64.  closes: #538037.
  * Bump to Standards-Version 3.8.2.

 -- Clint Adams <schizo@debian.org>  Sat, 01 Aug 2009 01:47:39 -0400

fakeroot (1.12.4) unstable; urgency=medium

  * libfakeroot.c: avoid crashing on fts_read() error conditions.
    closes: #533456.

 -- Clint Adams <schizo@debian.org>  Thu, 18 Jun 2009 09:21:10 -0400

fakeroot (1.12.3) unstable; urgency=low

  * Bump to Standards-Version 3.8.1.
  * Conflict with older libc6-dev-i386 packages that put files into
    /emul/ia32-linux.
  * Install amd64 biarch files into /usr/lib32.  closes: #492699.

 -- Clint Adams <schizo@debian.org>  Sat, 13 Jun 2009 12:58:28 -0400

fakeroot (1.12.2) unstable; urgency=low

  * Replace and (hopefully) fix broken alpha stat version hack in
    fts_read.

 -- Clint Adams <schizo@debian.org>  Sun, 01 Mar 2009 15:17:31 -0500

fakeroot (1.12.1) unstable; urgency=low

  * Remove broken alpha stat version hack from fts_read.

 -- Clint Adams <schizo@debian.org>  Sun, 04 Jan 2009 13:28:00 -0500

fakeroot (1.12) unstable; urgency=low

  * Wrap fts_read.  closes: #493681.

 -- Clint Adams <schizo@debian.org>  Sun, 04 Jan 2009 00:56:25 -0500

fakeroot (1.11.4) unstable; urgency=low

  [ Akim Demaille ]
  * Improve test suite.
  * Add a bootstrap script
  * Use DLSUFFIX in the tests.
  * Formatting changes.
  * Use functions in scripts.
  * Make failure more readable.
  * Formatting changes.

  [ Clint Adams ]
  * Have testsuite clean up better after itself.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Dec 2008 20:22:19 -0500

fakeroot (1.11.3) unstable; urgency=low

  [ Akim Demaille ]
  * Improve test suite.

  [ Clint Adams ]
  * Tweak testsuite for robustness.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Dec 2008 19:01:19 -0500

fakeroot (1.11.2) unstable; urgency=low

  [ Akim Demaille ]
  * Formatting changes.
  * Make bootstrapping easier.

  [ Clint Adams ]
  * Change formatting of TESTS_ENVIRONMENT assignment.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Dec 2008 12:36:49 -0500

fakeroot (1.11.1) unstable; urgency=low

  * configure.ac: Remove duplicate Darwin case, patch from Akim
    Demaille.

 -- Clint Adams <schizo@debian.org>  Tue, 09 Dec 2008 20:01:31 -0500

fakeroot (1.11) unstable; urgency=medium

  * communicate.c: patch from dann frazier to fix race condition when
    SysV IPC is used with a threaded application.  closes: #499142.

 -- Clint Adams <schizo@debian.org>  Tue, 18 Nov 2008 18:20:37 -0500

fakeroot (1.10.1) unstable; urgency=low

  * Patch from Joe Malicki to increase number of cases where fakeroot
    will cope better with inode reuse.
  * Remove test tmp dirs in EXIT traps.

 -- Clint Adams <schizo@debian.org>  Sat, 04 Oct 2008 14:48:09 -0400

fakeroot (1.10) unstable; urgency=low

  * Patch from Joe Malicki (with root-cause analysis credit to Mike Itz) to
    cope better with inodes that are reused outside of fakeroot's knowledge
    (such as by ldconfig or other static binaries).  closes: #366067.

 -- Clint Adams <schizo@debian.org>  Fri, 03 Oct 2008 19:10:21 -0400

fakeroot (1.9.7) unstable; urgency=low

  * chmod fakeroot libraries to 0644.  closes: #393983.

 -- Clint Adams <schizo@debian.org>  Sun, 28 Sep 2008 11:25:12 -0400

fakeroot (1.9.6) unstable; urgency=low

  * libfakeroot.c: patch from Petr Salinger to fix chmod 1755 on
    GNU/kFreeBSD.  closes: #493196.
  * Bump Standards-Version to 3.7.3.

 -- Clint Adams <schizo@debian.org>  Sat, 02 Aug 2008 11:08:38 -0400

fakeroot (1.9.5) unstable; urgency=low

  * configure.ac: patch from Ganael LAPLANCHE to fix typo in detection of
    xmknodat's fifth argument.

 -- Clint Adams <schizo@debian.org>  Sat, 26 Apr 2008 10:41:55 -0400

fakeroot (1.9.4) unstable; urgency=low

  * configure.ac: patch from Thorsten Glaser to add MirBSD, MidnightBSD,
    Darwin support
  * configure.ac: patch from Thorsten Glaser to not hardcode libc version
    number on OpenBSD.
  * faked.c: patch from Thorsten Glaser to fix printf format strings
  * libfakeroot.c: patch from Thorsten Glaser to fix const cleanness

 -- Clint Adams <schizo@debian.org>  Fri, 28 Mar 2008 17:45:08 -0400

fakeroot (1.9.3) unstable; urgency=medium

  * configure.ac: patch from Ralf Wildenhues to not override $SHELL
    late in configure.ac, by means of undocumented Autoconf interface
    _AS_DETECT_REQUIRED to require $(...) command replacement.
    closes: #447022.

 -- Clint Adams <schizo@debian.org>  Tue, 05 Feb 2008 18:55:36 -0500

fakeroot (1.9.2) unstable; urgency=low

  * debian/copyright: add pointers to the GPL and Artistic licenses
    in /usr/share/common-licenses.

 -- Clint Adams <schizo@debian.org>  Wed, 30 Jan 2008 14:54:52 -0500

fakeroot (1.9.1) unstable; urgency=low

  * Apply patch from Andrew Benham to handle padding under Sun Studio
    on Solaris.
  * Apply patch from Andrew Benham to make compare-tar test more
    portable.
  * Add Fakeroot::Stat from THUS plc to a contrib/ directory
    in the source tarball.  closes: #459728.

 -- Clint Adams <schizo@debian.org>  Mon, 21 Jan 2008 17:16:22 -0500

fakeroot (1.9) unstable; urgency=low

  * Bump to Standards-Version 3.7.3.
  * Apply patch from Thomas Bächler to work around fakeroot's
    inability to handle acls by pretending that the underlying
    filesystem does not support acls.  closes: #361306.
  * Add build-dependency on libacl1-dev.

 -- Clint Adams <schizo@debian.org>  Sat, 05 Jan 2008 13:53:26 -0500

fakeroot (1.8.10) unstable; urgency=medium

  * Call biarch target in a parallel-build-friendly way.

 -- Clint Adams <schizo@debian.org>  Sun, 02 Dec 2007 17:33:42 -0500

fakeroot (1.8.9) unstable; urgency=low

  * Apply patch from Andrew Benham to handle platforms without
    __builtin_expect support in the compiler.  closes: #453303.
  * Add Vcs-Arch and Vcs-Browser fields to control file.

 -- Clint Adams <schizo@debian.org>  Sun, 02 Dec 2007 16:13:44 -0500

fakeroot (1.8.8) unstable; urgency=low

  * Fix configure test to handle platforms where the return value
    of readlink is ssize_t and this is not the same size as int.

 -- Clint Adams <schizo@debian.org>  Wed, 21 Nov 2007 16:57:33 -0500

fakeroot (1.8.7) unstable; urgency=low

  * Apply patch from Andrew Benham to handle platforms without
    setenv() and unsetenv().  closes: #452224.
  * Use setenv compatibility code from GNU libc CVS HEAD.

 -- Clint Adams <schizo@debian.org>  Wed, 21 Nov 2007 09:39:29 -0500

fakeroot (1.8.6) unstable; urgency=low

  * Apply patch from Andrew Benham to handle 64-bit builds on Solaris.
    closes: #452095.
  * Apply patch from Andrew Benham to add mode support to
    fake_get_owner().  closes: #452225.

 -- Clint Adams <schizo@debian.org>  Tue, 20 Nov 2007 21:56:58 -0500

fakeroot (1.8.5) unstable; urgency=low

  * Add gcc-multilib to build dependencies for kfreebsd-amd64.
    closes: #451504.

 -- Clint Adams <schizo@debian.org>  Fri, 16 Nov 2007 09:24:00 -0500

fakeroot (1.8.4) unstable; urgency=low

  * Fix fake_get_owner() to build with STUPID_ALPHA_HACK.

 -- Clint Adams <schizo@debian.org>  Fri, 02 Nov 2007 21:41:27 -0400

fakeroot (1.8.3) unstable; urgency=low

  * Apply patch from Andrew Benham to handle building with non-GNU
    tr.  closes: #448631.
  * Apply patch from Andrew Benham to handle building with a C
    compiler other than GCC.  closes: #448631.
  * Apply patch from Andrew Benham to add fake_get_owner() function
    as part of undocumented API.

 -- Clint Adams <schizo@debian.org>  Tue, 30 Oct 2007 12:39:09 -0400

fakeroot (1.8.2) unstable; urgency=low

  * Apply fix from Dominique Quatravaux to avoid race condition with
    save files.  closes: #446351, #381016.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Oct 2007 10:09:48 -0400

fakeroot (1.8.1) unstable; urgency=low

  * Apply patch from Jan Kluka to avoid possibility of faked dropping
    into an endless loop with nonexistent save file.

 -- Clint Adams <schizo@debian.org>  Sun, 07 Oct 2007 20:24:04 -0400

fakeroot (1.8) unstable; urgency=medium

  * Apply patch from Jan Kluka to fix up database saving.
    closes: #443307.

 -- Clint Adams <schizo@debian.org>  Thu, 20 Sep 2007 13:46:25 -0400

fakeroot (1.7.1) unstable; urgency=low

  * Apply patch from Alexey Shabalovskiy to cope with save-files
    that are named pipes.

 -- Clint Adams <schizo@debian.org>  Thu, 10 May 2007 10:54:23 -0400

fakeroot (1.7.0.2) unstable; urgency=low

  * Drop shlibs file, as it is no longer necessary.

 -- Clint Adams <schizo@debian.org>  Sun, 06 May 2007 20:40:09 -0400

fakeroot (1.7.0.1) unstable; urgency=low

  * Build-depend on gcc-multilib on biarch architectures.
  * Consolidate biarch build-dependencies.

 -- Clint Adams <schizo@debian.org>  Sun, 06 May 2007 19:30:34 -0400

fakeroot (1.7) unstable; urgency=low

  * Forward-port and apply patch from Henrik Eriksson to add support
    for fstatat(), fstatat64(), mknodat(), fchmodat(), mkdirat(),
    openat(), renameat(), unlinkat().  closes: #402688.

 -- Clint Adams <schizo@debian.org>  Fri, 13 Apr 2007 12:51:16 -0400

fakeroot (1.6.5) unstable; urgency=low

  * Remove setuid fake libraries and README.fake explanation.

 -- Clint Adams <schizo@debian.org>  Mon, 19 Mar 2007 11:20:58 -0400

fakeroot (1.6.4) unstable; urgency=low

  * Apply patch from Martijn Dekker to add Dutch man page translations.
  * gzip Dutch man pages.

 -- Clint Adams <schizo@debian.org>  Sun,  4 Mar 2007 10:56:55 -0500

fakeroot (1.6.3) unstable; urgency=low

  * Attempt to prevent nested fakeroot invocations.

 -- Clint Adams <schizo@debian.org>  Tue, 27 Feb 2007 22:30:23 -0500

fakeroot (1.6.2) unstable; urgency=low

  * Apply patch from Heikki Lindholm to fix MacOS X support even more.
  * Add MacOS X portability note (two-level namespaces break) to
    README.

 -- Clint Adams <schizo@debian.org>  Tue, 27 Feb 2007 09:34:43 -0500

fakeroot (1.6.1) unstable; urgency=low

  * Apply patch from Heikki Lindholm to fix MacOS X support.

 -- Clint Adams <schizo@debian.org>  Sun, 25 Feb 2007 11:35:30 -0500

fakeroot (1.6) unstable; urgency=medium

  * Apply patch from Christian Ehrhardt to use stat64 internally
    where available.  closes: #407553.

 -- Clint Adams <schizo@debian.org>  Fri, 23 Feb 2007 11:53:21 -0500

fakeroot (1.5.13) unstable; urgency=low

  * Add README to describe cases wherein one should use TCP rather
    than SYSV IPC:
    - multithreaded app creates IPC problems.  closes: #229050.
    - slow with a realtime-preempt kernel.  closes: #319474.

 -- Clint Adams <schizo@debian.org>  Fri, 23 Feb 2007 10:51:39 -0500

fakeroot (1.5.12) unstable; urgency=low

  * Fix build-dep for kfreebsd-amd64.

 -- Clint Adams <schizo@debian.org>  Sun,  7 Jan 2007 19:56:21 -0500

fakeroot (1.5.11) unstable; urgency=low

  * Patch for biarch support for kfreebsd-amd64 from Aurélien Jarno.
    closes: #406022.

 -- Clint Adams <schizo@debian.org>  Sun,  7 Jan 2007 19:37:48 -0500

fakeroot (1.5.10) unstable; urgency=low

  * Move po4a stuff to dist-hook and prebuild.
  * Drop po4a from build-deps.
  * In postrm, remove the symlink which may have been generated
    by ldconfig, to avoid upsetting piuparts.  closes: #351299.

 -- Clint Adams <schizo@debian.org>  Sat, 22 Jul 2006 16:02:43 -0400

fakeroot (1.5.9) unstable; urgency=low

  * Fix libc6-dev-amd64 typo in build-deps.  closes: #376903.
  * Drop amd64-libs-dev option from build-deps.
  * Bump Standards-Version to 3.7.2.

 -- Clint Adams <schizo@debian.org>  Sat,  8 Jul 2006 12:24:51 -0400

fakeroot (1.5.8) unstable; urgency=low

  * Change amd64 build-dep from ia32-libs-dev to libc6-dev-i386.

 -- Clint Adams <schizo@debian.org>  Thu, 16 Mar 2006 18:18:21 -0500

fakeroot (1.5.7) unstable; urgency=low

  * Use libtool 1.9+20051221-1 instead of 1.5.22-2.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Jan 2006 22:44:47 -0500

fakeroot (1.5.6) unstable; urgency=low

  * Patch from Thomas Huriaux to put translated manpages
    under po4a; includes updated French translation from
    Sylvain Cherrier.  closes: #343175.
  * Change soname to avoid ldconfig cruft.  closes: #338071.

 -- Clint Adams <schizo@debian.org>  Tue, 13 Dec 2005 13:43:26 -0500

fakeroot (1.5.5) unstable; urgency=low

  Timo Savola:

  * TCP I/O function fix from Toni Timonen.

  Clint Adams:

  * Patch from Yann Dirson: cope with Solaris tr.  closes: #337059.
  * Patch from Yann Dirson: port to Solaris 10.  closes: #337063.

 -- Clint Adams <schizo@debian.org>  Wed,  2 Nov 2005 09:48:35 -0500

fakeroot (1.5.4) unstable; urgency=low

  * On i386, build-depend on lib64gcc1.

 -- Clint Adams <schizo@debian.org>  Sun,  2 Oct 2005 19:52:18 -0400

fakeroot (1.5.3) unstable; urgency=low

  * Patch from Steve Langasek to "schmunge the alpha stat struct
    conversion hackery to apply to the stat64 family of calls as well"
  * Reorder i386 biarch build-deps to make sbuild happier.

 -- Clint Adams <schizo@debian.org>  Sun,  2 Oct 2005 11:35:51 -0400

fakeroot (1.5.2) unstable; urgency=low

  * Patch from Matthias Klose to add support for i386,
    powerpc and ppc64 biarch.  closes: #331140.

 -- Clint Adams <schizo@debian.org>  Sat,  1 Oct 2005 16:53:02 -0400

fakeroot (1.5.1) unstable; urgency=high

  * Fix autoconf magic to include the right dir on alphalinux/glibc.

 -- Clint Adams <schizo@debian.org>  Sun,  4 Sep 2005 18:54:28 -0400

fakeroot (1.5) unstable; urgency=low

  * Fix error in French fakeroot(1), thanks to Kevin Ryde.
    closes: #316797.
  * Use crazy and ugly stat struct conversion hackery on alpha
    to circumvent the hilariously incompatible struct change in
    glibc 2.3.4.  closes: #324571.

 -- Clint Adams <schizo@debian.org>  Sat,  3 Sep 2005 23:38:41 -0400

fakeroot (1.4.3) unstable; urgency=low

  * Make mknod debug message say "mknod" instead of "chmod".
  * Fix libcpath case statement in configure.ac.

 -- Clint Adams <schizo@debian.org>  Sun, 21 Aug 2005 19:49:55 -0400

fakeroot (1.4.2) unstable; urgency=medium

  Timo Savola:

  * Don't set SO_REUSEADDR option for client TCP socket (Fix
    suggested by Riku Voipio.)

  Clint Adams:

  * Apply patch from Steve Langasek to update debian/rules to build correctly
    on biarch with both the old and new versions of dpkg-architecture
    closes: #317911.
  * Stop forcing gcc 3.4 on amd64.  closes: #317911.

 -- Clint Adams <schizo@debian.org>  Thu, 14 Jul 2005 06:37:36 -0400

fakeroot (1.4.1) unstable; urgency=low

  * Fix broken shell substitution.
  * Bump to Standards-Version 3.6.2.

 -- Clint Adams <schizo@debian.org>  Wed, 29 Jun 2005 17:58:48 -0400

fakeroot (1.4) unstable; urgency=low

  Timo Savola:

  * Daemon support (TCP version): faked goes into "detached" mode when it
    receives SIGHUP: it will terminate as soon as all clients close their
    connections. The fakeroot script kills faked with SIGHUP instead of
    SIGTERM when it exits. This is done in order to provide a working
    (although isolated) fakeroot environment for daemon processes that are
    launched from a fakeroot session.

  * Forward-declare cleanup().

  * Undo unnecessary "fix" in fork wrapper.  (There is no reason to preserve
    errno when not returning -1.)

  Clint Adams:

  * Steal shell detection code from bogofilter, and use a
    POSIX-conformant shell rather than /bin/sh.  This is
    necessary because Solaris is still using a /bin/sh from
    the early Cretaceous period.  closes: #316070.
  * Apply patches from Yann Dirson to make tests more portable
    and to fix typo in --help output.  closes: #316048.
  * Update Spanish manpage translation from Rubén Porras Campo.
    closes: #310273.

 -- Clint Adams <schizo@debian.org>  Wed, 29 Jun 2005 10:23:12 -0400

fakeroot (1.3) unstable; urgency=low

  Timo Savola:

  * communicate.c, communicate.h, libfakeroot.c, wrapfunc.inp:
    Wrap close and dup2 to avoid closing TCP socket.

 -- Clint Adams <schizo@debian.org>  Fri, 20 May 2005 10:25:21 -0400

fakeroot (1.2.13) unstable; urgency=low

  * Add gcc-3.4 and ia32-libs-dev to build-depends for amd64.

 -- Clint Adams <schizo@debian.org>  Tue, 10 May 2005 14:11:22 -0400

fakeroot (1.2.12) unstable; urgency=low

  * Do not run the test suites if DEB_BUILD_OPTIONS contains
    'nocheck'.  closes: #308100.
  * Apply Goswin's patch to extend biarch support to include
    32bit on amd64.  closes: #292505.

 -- Clint Adams <schizo@debian.org>  Mon,  9 May 2005 11:47:47 -0400

fakeroot (1.2.11) unstable; urgency=low

  * Apply patch from Michael Banck to fix the Hurd alternative
    handling.  closes: #299633.

 -- Clint Adams <schizo@debian.org>  Sat,  7 May 2005 17:37:37 -0400

fakeroot (1.2.10) unstable; urgency=low

  * Have fakeroot-tcp be a higher-priority alternative on the Hurd.
    closes: #299633.

 -- Clint Adams <schizo@debian.org>  Sat, 23 Apr 2005 10:52:07 -0400

fakeroot (1.2.9) unstable; urgency=medium

  * Fix broken symlinks in /usr/lib64/libfakeroot.
    closes: #301149.

 -- Clint Adams <schizo@debian.org>  Tue,  5 Apr 2005 20:29:33 -0400

fakeroot (1.2.8) unstable; urgency=medium

  * Fix typo in debian/rules preventing testsuite from being run.

 -- Clint Adams <schizo@debian.org>  Thu, 24 Mar 2005 07:09:26 -0500

fakeroot (1.2.7) unstable; urgency=medium

  * Apply patch from Andrey Mitrofanov to fix stripping of shared
    objects, broken by the alternatives changes.
  * Fix stripping of bi-arch shared objects.

 -- Clint Adams <schizo@debian.org>  Fri, 18 Mar 2005 09:42:58 -0500

fakeroot (1.2.6) unstable; urgency=low

  * Manage /usr/bin/fakeroot via alternatives.

 -- Clint Adams <schizo@debian.org>  Tue, 15 Mar 2005 19:27:35 -0500

fakeroot (1.2.5) unstable; urgency=low

  * fakeroot.1: Include text by Justin Pryzby about LD_PRELOAD and
    LD_LIBRARY_PATH environment variables.  closes: #294655.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Mar 2005 16:08:16 -0500

fakeroot (1.2.4) unstable; urgency=low

  * Fix debian/rules typo that broke s390 build.

 -- Clint Adams <schizo@debian.org>  Mon, 31 Jan 2005 22:28:16 -0500

fakeroot (1.2.3) unstable; urgency=medium

  Timo Savola:

  * communicate.c, communicate.h, faked.c: Rearranged
    FAKEROOT_FAKENET #ifdefs so that communication.c and faked.c
    are manageable again.

  Clint Adams:

  * Remove debian/files in clean target.  closes: #291739.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Jan 2005 09:59:23 -0500

fakeroot (1.2.2) unstable; urgency=low

  * Derive version from debian/changelog entry.
    closes: #286648.

 -- Clint Adams <schizo@debian.org>  Tue, 21 Dec 2004 12:16:30 -0500

fakeroot (1.2.1) unstable; urgency=low

  * debian/rules: Do configure --host on cross build.
    Don't invoke 'make check' on cross build.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed,  8 Dec 2004 15:55:52 +0900

fakeroot (1.2) unstable; urgency=low

  * Apply patch from Dmitry V. Levin <ldv@altlinux.org>:
    (Implement wrappers for getresuid, getresgid, setfsuid and
     setfsgid functions.)
   - communicate.h: New macros: FAKEROOTFUID_ENV, FAKEROOTFGID_ENV.
   - configure.ac: Check for getresuid, getresgid, setfsuid and
     setfsgid functions.
   - libfakeroot.c: (faked_fs_uid, faked_fs_gid): New variables.
     (set_faked_uid, set_faked_gid, set_faked_euid, set_faked_egid,
     set_faked_reuid, set_faked_regid, set_faked_resuid,
     set_faked_resgid): Set these variables.
     (read_fs_uid, read_fs_gid, write_fs_uid, write_fs_gid): New
     functions.
     (read_uids, read_gids, write_uids, write_gids, set_faked_euid,
     set_faked_egid): Use these functions.
     (get_faked_suid, get_faked_sgid, get_faked_fsuid,
     get_faked_fsgid, set_faked_fsuid, set_faked_fsgid): New functions.
     [HAVE_GETRESUID] (getresuid): New function.
     [HAVE_GETRESGID] (getresgid): Likewise.
     [HAVE_SETFSUID] (set_faked_fsuid, setfsuid): New functions.
     [HAVE_SETFSGID] (set_faked_fsgid, setfsgid): Likewise.
   - wrapfunc.inp [HAVE_GETRESUID] (getresuid): New wrapper.
     [HAVE_GETRESGID] (getresgid): Likewise.
     [HAVE_SETFSUID] (setfsuid): Likewise.
     [HAVE_SETFSGID] (setfsgid): Likewise.

 -- Clint Adams <schizo@debian.org>  Sat, 27 Nov 2004 12:51:24 -0500

fakeroot (1.1.5) unstable; urgency=low

  * faked.c: patch from Andreas Borchert to fix broken --key
    option.  closes: #276872.

 -- Clint Adams <schizo@debian.org>  Sun, 17 Oct 2004 17:51:39 -0400

fakeroot (1.1.4) unstable; urgency=low

  * faked.c: patch from Andreas Borchert to fix command-line
    parsing.  closes: #276688.

 -- Clint Adams <schizo@debian.org>  Fri, 15 Oct 2004 18:00:22 -0400

fakeroot (1.1.3) unstable; urgency=low

  * faked.c: ifdef fail() function as it is only used with
    the tcp ipc.

 -- Clint Adams <schizo@debian.org>  Mon, 11 Oct 2004 12:28:52 -0400

fakeroot (1.1.2) unstable; urgency=low

  * faked.c: a few more signedness cleanups.

 -- Clint Adams <schizo@debian.org>  Thu,  7 Oct 2004 17:46:37 -0400

fakeroot (1.1.1) unstable; urgency=low

  * faked.c, libfakeroot.c: address some signedness issues which
    crept in in 1.1.

 -- Clint Adams <schizo@debian.org>  Thu,  7 Oct 2004 11:30:41 -0400

fakeroot (1.1) unstable; urgency=low

  Ruben Porras:

  * doc/es/faked.1, doc/es/fakeroot.1: Updated Spanish manpage
    translations.  closes: #265753.

  Timo Savola:

  * communicate.h, libfakeroot.c: Fake implementations for the setuid
    family of functions (fakeroot used to only provide dummy
    implementations). The fake IDs are inherited by child processes via
    environment variables. Attempts to behave according to the POSIX
    standard (= Linux man pages).

  Clint Adams:

  * Update version number to 1.1.  closes: #267136.

 -- Clint Adams <schizo@debian.org>  Sat,  2 Oct 2004 11:55:01 -0400

fakeroot (1.0.7) unstable; urgency=medium

  Timo Savola:

  * faked.c: Database saving (-s option) enabled for the TCP
    version.  Only non-remote entries are saved.

  Robert Millan:

  * configure.ac: Detect correct libc path on GNU/k*BSD.
    closes: #265162.

 -- Clint Adams <schizo@debian.org>  Wed, 11 Aug 2004 20:43:15 -0400

fakeroot (1.0.6) unstable; urgency=low

  * doc/fakeroot.1: Fix misspelling of 'where'.   closes: #259341.
  * doc/es/fakeroot.1, doc/es/faked.1: updated Spanish manpage translations
    from Rubén Porras Campo.  closes: #263035.
  * doc/faked.1, doc/fakeroot.1: fix Ray's email address.
  * doc/fakeroot.1: add lengthier explanation of fd base for TCP mode.
  * doc/fakeroot.1: remove reference to potato.  closes: #263938.
  * doc/fr/fakeroot.1: updated French manpage translation from Sylvain
    Cherrier.  closes: #263947.
  * scripts/Makefile.am, scripts/fakeroot.in: use --libdir instead of
    hardcoding ${PREFIX]/lib/libfakeroot.  closes: #260073.

 -- Clint Adams <schizo@debian.org>  Thu, 15 Jul 2004 09:34:31 -0400

fakeroot (1.0.5) unstable; urgency=low

  * gzip faked-tcp and fakeroot-tcp manpages.

 -- Clint Adams <schizo@debian.org>  Mon, 12 Jul 2004 20:33:34 -0400

fakeroot (1.0.4) unstable; urgency=medium

  * faked.c: Implement a hash table for looking up inode data.  This
    speeds up fakeroot builds of large packages by a couple orders of
    magnitude.  Closes: #256433.
  * faked.c: Correct a typo in the usage information.

  + Daniel Schepler <schepler@debian.org>  Sun, 27 Jun 2004 15:47:54 -0700

  * test/tartest: order arguments to chown and chmod in a sane way.

 -- Clint Adams <schizo@debian.org>  Tue, 22 Jun 2004 13:15:16 -0400

fakeroot (1.0.3) unstable; urgency=low

  * libfakeroot.c: correctly handle platforms where the first
    argument to setgroups() is int.
  * configure.ac, communicate.c: include sys/socket.h if available
    (necessary on FreeBSD).
  * test/tartest: chown to daemon instead of sys, since it's more likely
    to exist.
  * test/tartest.tar.gz.uue: update test tarball accordingly.
  * INSTALL: add some terse notes.
  * Add prebuild target to debian/rules for use with arch-buildpackage.
  * scripts/fakeroot.in: drop "-net" from version string.
  * Fix stupid build thinko on s390.

 -- Clint Adams <schizo@debian.org>  Fri, 18 Jun 2004 15:42:33 -0400

fakeroot (1.0.2) unstable; urgency=low

  * Fix the broken symlinks I just introduced.
  * configure.ac: Drop AC_PROG_CXX since we don't use C++ anymore.

 -- Clint Adams <schizo@debian.org>  Fri, 18 Jun 2004 13:46:59 -0400

fakeroot (1.0.1) unstable; urgency=low

  * Fix library rename thinko.
  * Handle platforms with inttypes.h but not stdint.h.
  * Handle platforms where first argument to setgroups() is int.
  * Handle platforms without endian.h.
  * Handle platforms where SOL_TCP is undefined.
  * Handle platforms where libsocket is necessary.
  * configure.ac, faked.c: Include sys/sysmacros.h if available ( for MAX()).
  * configure.ac, libfakeroot.c: handle platforms without setresuid() or
    setresgid().

 -- Clint Adams <schizo@debian.org>  Fri, 18 Jun 2004 12:19:06 -0400

fakeroot (1.0.0) unstable; urgency=low

  * configure.ac: add --with-ipc=sysv and --with-ipc=tcp options
    to select IPC type.
  * communicate.c, communicate.h, libfakeroot.c, wrapfunc.inp:
    change ifdef from FAKENET to FAKEROOT_FAKENET.
  * scripts/fakeroot.in: generate fakeroot dynamically now
  * scripts/fakeroot.in: add in fakeroot-net options (-b, -v, -h).
  * faked.c: print warnings if TCP options are used in a SYSV IPC-
    compiled version or vice-versa.
  * doc/fakeroot.1, doc/faked.1: describe new options.
  * Build and install TCP version as faked-tcp, fakeroot-tcp,
    libfakeroot-tcp.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Jun 2004 12:29:35 -0400

fakeroot (0.9.6) unstable; urgency=low

  * communicate.c, communicate.h, faked.cc: Rename func_id to func_id_t.
  * configure.ac: add check for libpthread.
  * communicate.c, communicate.h, libfakeroot.c, wrapfunc.inp: add in
    TCP modifications from Tivo Savola's fakeroot-net, ifdef'd (FAKENET).
  * message.h, faked.c, Makefile.am: add in files from Tivo Savola's
    fakeroot-net.
  * AUTHORS: add Timo Savola for fakeroot-net work.
  * fake/configure.ac: update fakeroot version.

 -- Clint Adams <schizo@debian.org>  Fri, 21 May 2004 12:14:15 -0400

fakeroot (0.9.5) unstable; urgency=high

  * communicate.c: Fix stupid typo that crept into 0.9.4 and caused
    problems with gcc finding include files.  closes: #247432.

 -- Clint Adams <schizo@debian.org>  Wed,  5 May 2004 09:38:05 -0400

fakeroot (0.9.4) unstable; urgency=medium

  * Remove extraneous build dependencies on file and gcc-3.3.
  * Remove -pedantic from CXXFLAGS.
  * Change references in DEBUG from libtricks to libfakeroot.
  * communicate.c: change error message to say libfakeroot instead of
    libtricks.
  * communicate.c, communicate.h: add send_stat64.
  * libfakeroot.c: use send_stat64 in wrapped unlink() where applicable.
  * communicate.h: add send_get_stat64.

 -- Clint Adams <schizo@debian.org>  Mon,  3 May 2004 15:17:19 -0400

fakeroot (0.9.3) unstable; urgency=low

  * Convert tartest to a /bin/sh script.

 -- Clint Adams <schizo@debian.org>  Mon,  3 May 2004 09:22:29 -0400

fakeroot (0.9.2) unstable; urgency=high

  * Fix FTBFS on mipsel/arm/mips/hppa/powerpc due to flaw in
    patch for #246894.  closes: #247052.

 -- Clint Adams <schizo@debian.org>  Sun,  2 May 2004 22:45:54 -0400

fakeroot (0.9.1) unstable; urgency=medium

  * Fix unlink() so that it will remove files larger than 2Gb on
    32-bit machines.  closes: #246894.

 -- Clint Adams <schizo@debian.org>  Sun,  2 May 2004 18:47:12 -0400

fakeroot (0.9.0) unstable; urgency=medium

  * Apply patch from Andrew Suffield to allow applications to
    detect and disable fakeroot.  closes: #224030.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Mar 2004 19:56:06 -0500

fakeroot (0.8.5) unstable; urgency=medium

  * Compress Spanish manpages.

 -- Clint Adams <schizo@debian.org>  Sun, 22 Feb 2004 17:07:48 -0500

fakeroot (0.8.4) unstable; urgency=low

  * Fix description modesty problem.   closes: #231327.

 -- Clint Adams <schizo@debian.org>  Fri, 20 Feb 2004 12:32:45 -0500

fakeroot (0.8.3) unstable; urgency=high

  * libfakeroot.c: don't corrupt 64-bit stat info.  closes: #224236.

 -- Clint Adams <schizo@debian.org>  Thu, 18 Dec 2003 21:18:03 -0500

fakeroot (0.8.2) unstable; urgency=medium

  * scripts/fakeroot: only wait on faked if --save-file is being used,
    and /dev/null wait errors in that case.  closes: #218850.

 -- Clint Adams <schizo@debian.org>  Wed, 12 Nov 2003 10:43:22 -0500

fakeroot (0.8.1) unstable; urgency=medium

  * scripts/fakeroot: add wait $PID to EXIT/INT trap to head off possible
    state file race problem.  Thanks to Andrew Suffield.  closes: #218176.

 -- Clint Adams <schizo@debian.org>  Sat,  1 Nov 2003 13:08:30 -0500

fakeroot (0.8.0) unstable; urgency=low

  * libfakeroot.c: divert setgroups.  closes: #213562.

 -- Clint Adams <schizo@debian.org>  Sat, 25 Oct 2003 10:51:38 -0400

fakeroot (0.7.8) unstable; urgency=medium

  * communicate.h: patch from Bart Trojanowski to avoid
    structure padding problems on amd64.  closes: #212087.
  * configure.ac, communicate.h: make it conditional on
    gcc.

 -- Clint Adams <schizo@debian.org>  Thu, 25 Sep 2003 21:34:30 -0400

fakeroot (0.7.7) unstable; urgency=medium

  * doc/fr/fakeroot.1 update from Sylvain Cherrier.  closes: #211915.
  * faked.cc: Patch from Marc Horowitz to use long longs for
    the persistent db.  closes: #211617.
  * faked.cc: Change long longs to uint64_t.

 -- Clint Adams <schizo@debian.org>  Sun, 21 Sep 2003 12:13:17 -0400

fakeroot (0.7.6) unstable; urgency=low

  * Add Spanish manpages from Ruben Porras <nahoo82@telefonica.net>.
    closes: #208185.
  * Bump Standards-Version to 3.6.1.

 -- Clint Adams <schizo@debian.org>  Mon,  1 Sep 2003 23:58:21 -0400

fakeroot (0.7.5) unstable; urgency=medium

  * configure.ac: cosmetic changes
  * Remove gcc-3.3 build-dep for sparc.  closes: #201253.
  * No longer ship fakerootconfig.h.  closes: #201355.
  * Bump Standards-Version to 3.6.0.

 -- Clint Adams <schizo@debian.org>  Mon,  7 Jul 2003 20:20:32 -0400

fakeroot (0.7.4) unstable; urgency=medium

  * configure.ac: Debian GNU/FreeBSD uses libc.so.1.

 -- Clint Adams <schizo@debian.org>  Mon,  7 Jul 2003 19:05:42 -0400

fakeroot (0.7.3) unstable; urgency=medium

  * Use --build and --host for sparc64 now.

 -- Clint Adams <schizo@debian.org>  Tue, 13 May 2003 16:59:54 -0400

fakeroot (0.7.2) unstable; urgency=medium

  * Fix stupid typo in Build-Depends line.

 -- Clint Adams <schizo@debian.org>  Tue, 13 May 2003 12:06:53 -0400

fakeroot (0.7.1) unstable; urgency=medium

  * Fix stupid typo in sparc64 build.

 -- Clint Adams <schizo@debian.org>  Mon, 12 May 2003 15:41:22 -0400

fakeroot (0.7.0) unstable; urgency=low

  * doc/fakeroot.1: Fix more hyphens in manpage.
  * faked.cc, doc/faked.1, doc/fakeroot.1, scripts/fakeroot:
    Add -u|--unknown-is-real option.  closes: #191537.

 -- Clint Adams <schizo@debian.org>  Fri,  9 May 2003 19:20:32 -0400

fakeroot (0.6.9) unstable; urgency=low

  * Re-enable sparc64 build.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Apr 2003 19:24:57 -0400

fakeroot (0.6.8) unstable; urgency=low

  * Build-dep on file, since libtool wants it.

 -- Clint Adams <schizo@debian.org>  Thu, 27 Mar 2003 01:41:52 -0500

fakeroot (0.6.7) unstable; urgency=low

  * doc/fakeroot.1: Fix hyphens in manpage.
  * doc/fakeroot.1: Fix single quotes in manpage.
  * Ship md5sums.

 -- Clint Adams <schizo@debian.org>  Wed, 26 Mar 2003 15:17:51 -0500

fakeroot (0.6.6) unstable; urgency=low

  * README.saving and related doc fixes from Robie Basak.

 -- Clint Adams <schizo@debian.org>  Tue, 25 Mar 2003 09:41:37 -0500

fakeroot (0.6.5) unstable; urgency=low

  * Since s390 buildd is 31-bit, attempt to cross-compile 64-bit fakeroot
    libs.

 -- Clint Adams <schizo@debian.org>  Sun, 16 Mar 2003 02:27:08 -0500

fakeroot (0.6.4) unstable; urgency=low

  * Build-dep on gcc-3.3 on s390.

 -- Clint Adams <schizo@debian.org>  Fri, 14 Mar 2003 18:01:39 -0500

fakeroot (0.6.3) unstable; urgency=low

  * Enable 64-bit compile on s390.

 -- Clint Adams <schizo@debian.org>  Fri, 14 Mar 2003 15:40:27 -0500

fakeroot (0.6.2) unstable; urgency=low

  * faked.cc: suggest SYSV IPC in message channel error.  closes: #184597.

 -- Clint Adams <schizo@debian.org>  Thu, 13 Mar 2003 13:34:34 -0500

fakeroot (0.6.1) unstable; urgency=medium

  * doc/fakeroot.1: add -i and -s to SYNOPSIS.
  * doc/faked.1: add --load and --save-file to SYNOPSIS.

 -- Clint Adams <schizo@debian.org>  Sat,  8 Mar 2003 15:26:24 -0500

fakeroot (0.6) unstable; urgency=low

  * faked.cc, scripts/fakeroot: patch from Robie Basak to add persistent
    database support.  Still needs documentation.

 -- Clint Adams <schizo@debian.org>  Thu, 20 Feb 2003 11:47:11 -0500

fakeroot (0.5.10) unstable; urgency=low

  * doc/fr/fakeroot.1: updated translation from Sylvain Cherrier.

 -- Clint Adams <schizo@debian.org>  Mon, 17 Feb 2003 12:58:40 -0500

fakeroot (0.5.9) unstable; urgency=low

  * Fix version in configure.in
  * Change iostream.h include to iostream.

 -- Clint Adams <schizo@debian.org>  Sat, 18 Jan 2003 08:01:32 -0500

fakeroot (0.5.8) unstable; urgency=low

  * Disable 64-bit compile on sparc since it's disabled in gcc 3.2 now.

 -- Clint Adams <schizo@debian.org>  Wed, 11 Dec 2002 18:04:53 -0500

fakeroot (0.5.7) unstable; urgency=low

  * Make preload library variable in test suite, to later handle testing
    OpenBSD, HP-UX, and other platforms that don't use libfakeroot.so.0.

 -- Clint Adams <schizo@debian.org>  Sun,  8 Dec 2002 19:53:50 -0500

fakeroot (0.5.6) unstable; urgency=low

  * Don't use cd -P in the tests; NetBSD 1.6 /bin/sh doesn't like it.
  * Include inttypes.h if available; Tru64 has inttypes.h, but not stdint.h.

 -- Clint Adams <schizo@debian.org>  Sun,  8 Dec 2002 12:43:34 -0500

fakeroot (0.5.5) unstable; urgency=low

  * Check if initgroups() uses gid_t for second argument (it's int
    on FreeBSD 4.7).
  * Check if setreuid() and setregid() use uid_t and gid_t, respectively
    (OpenBSD 2.8 uses int).

 -- Clint Adams <schizo@debian.org>  Sun,  8 Dec 2002 11:09:03 -0500

fakeroot (0.5.4) unstable; urgency=low

  * Don't include stdint.h on systems that don't have it.
  * No longer build-depend on debhelper.

 -- Clint Adams <schizo@debian.org>  Sat,  7 Dec 2002 11:25:43 -0500

fakeroot (0.5.3) unstable; urgency=low

  * Remove emacs vars from changelog.
  * Remove period from short description.

 -- Clint Adams <schizo@debian.org>  Fri,  6 Dec 2002 13:44:49 -0500

fakeroot (0.5.2) unstable; urgency=low

  * Apply patch from Scott James Remnant to better handle 32-bit/64-bit
    IPC.  closes: #171394.

 -- Clint Adams <schizo@debian.org>  Tue,  3 Dec 2002 22:12:04 -0500

fakeroot (0.5.1) unstable; urgency=low

  * Apply patch from Stephan Niemz so fakeroot will identify itself in error
    messages.  closes: #170439.

 -- Clint Adams <schizo@debian.org>  Sat, 23 Nov 2002 18:05:58 -0500

fakeroot (0.5) unstable; urgency=low

  * Expect arguments in the style of 'sudo' rather than 'su -c'.
    closes: #92940.

 -- Clint Adams <schizo@debian.org>  Wed, 20 Nov 2002 23:48:32 -0500

fakeroot (0.4.17) unstable; urgency=low

  * Apply indentation patch from David Weinehall.  closes: #169402.

 -- Clint Adams <schizo@debian.org>  Sun, 17 Nov 2002 16:03:06 -0500

fakeroot (0.4.16) unstable; urgency=low

  * Add Swedish translations from David Weinehall.  closes: #169294.
  * Apply typo fix patch from David Weinehall.  closes: #169293.

 -- Clint Adams <schizo@debian.org>  Fri, 15 Nov 2002 19:49:10 -0500

fakeroot (0.4.15) unstable; urgency=low

  * Apply Jonathan Amery's patch to abort if libc isn't found
    when RTLD_NEXT is undefined.  closes: #135701.

 -- Clint Adams <schizo@debian.org>  Thu, 14 Nov 2002 16:58:18 -0500

fakeroot (0.4.14) unstable; urgency=low

  * Fix path in French manpage.  closes: #168413.

 -- Clint Adams <schizo@debian.org>  Sat,  9 Nov 2002 12:44:13 -0500

fakeroot (0.4.13) unstable; urgency=low

  * Set /usr/lib/libfakeroot.so.0.0.1 to mode 4644 per Ethan Benson's
    suggestion.  closes: #131852.

 -- Clint Adams <schizo@debian.org>  Fri,  8 Nov 2002 14:26:45 -0500

fakeroot (0.4.12) unstable; urgency=low

  * Apply Aaron Lehmann's sanity-check patch to faked.  closes: #98648.

 -- Clint Adams <schizo@debian.org>  Fri,  8 Nov 2002 13:56:49 -0500

fakeroot (0.4.11) unstable; urgency=high

  * Minor fakeroot.1 fixes.
  * Add French fakeroot manpage.  closes: #166001.
  * Revert part of robustness patch that causes faked processes never to be
    reaped.
  * Some debian/rules cleanup.

 -- Clint Adams <schizo@debian.org>  Wed,  6 Nov 2002 13:13:34 -0500

fakeroot (0.4.10) unstable; urgency=low

  * Apply Yann Dirson's robustness fixes.  closes: #150160.

 -- Clint Adams <schizo@debian.org>  Wed,  6 Nov 2002 11:29:04 -0500

fakeroot (0.4.9) unstable; urgency=low

  * Revert to uint32_t for portability's sake.
  * trap INT to reap faked.  closes: #127855.

 -- Clint Adams <schizo@debian.org>  Tue, 29 Oct 2002 13:11:34 -0500

fakeroot (0.4.8) unstable; urgency=low

  * Get sparc(64) build to cope with building in separate objdir.

 -- Clint Adams <schizo@debian.org>  Tue, 29 Oct 2002 00:28:11 -0500

fakeroot (0.4.7) unstable; urgency=low

  * Cope when building with bash.

 -- Clint Adams <schizo@debian.org>  Mon, 28 Oct 2002 19:37:12 -0500

fakeroot (0.4.6) unstable; urgency=low

  * Hijack.
  * Fake seteuid and setegid.  closes: #107734.
  * Fake setreuid and setregid.
  * Fake setresuid and setresgid.  closes: #153995.
  * Drop build-dep on autotools-dev.
  * Modernize configure.in for automake 1.7, autoconf 2.5, &c, and rename
    to configure.ac.
  * Bring tests under the aegis of automake.
  * Adjust build system to cope when building when objdir != srcdir.
  * Perform the build in different objdirs.
  * Support DEB_BUILD_OPTIONS.

 -- Clint Adams <schizo@debian.org>  Mon, 28 Oct 2002 00:21:44 -0500

fakeroot (0.4.5-2.7) unstable; urgency=medium

  * NMU
  * Update to Standards-Version 3.5.7.0.
  * Fix sparc(64) build by using and Build-Depending on gcc-3.2.
  * Use /usr/lib64 instead of /usr/lib/64.  Closes: #151448.
  * Change references in manpages from /usr/doc to /usr/share/doc.
    Closes: #103173, #103174.
  * Change reference in manpage from build(1L) to debuild(1).
    Closes: #112534.
  * Fix misspelling of "daemon" in script comment.  Closes: #119919.

 -- Clint Adams <schizo@debian.org>  Thu, 19 Sep 2002 01:50:08 -0400

fakeroot (0.4.5-2.6) unstable; urgency=medium

  * NMU
  * Fix POSIX-incompatible use of 'kill' and 'test'.  Closes: #150481.
  * Get rid of brace expressions in tartest.  Closes: #154616.

 -- Clint Adams <schizo@debian.org>  Sun, 28 Jul 2002 14:03:54 -0400

fakeroot (0.4.5-2.5) unstable; urgency=medium

  * NMU
  * Replace libtool symlinks with static copies of files, and use
    autotools-dev instead to keep config.guess and config.sub up to date.
    Closes: #94639, #151709.
  * Clean up a few files which shouldn't really be in the source
    package.

 -- Daniel Schepler <schepler@debian.org>  Fri,  5 Jul 2002 15:53:32 -0700

fakeroot (0.4.5-2.4) unstable; urgency=low

  * NMU
  * Make fakeroot compile on reiserfs (and any other filesystem which
    might order files differently from ext2).  Closes: #97285

 -- Daniel Schepler <schepler@debian.org>  Tue, 18 Jun 2002 17:37:17 -0700

fakeroot (0.4.5-2.3) unstable; urgency=low

  * Non-maintainer upload.

  * Add dependency on libc6-dev-sparc64 [sparc].  Closes: #143454.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 19 Apr 2002 10:20:48 -0700

fakeroot (0.4.5-2.2) unstable; urgency=low

  * Non Maintainer Upload
  * Fix dependency on gcc-3.0 on sparc.  (Closes: #140691)

 -- Benjamin Drieu <benj@debian.org>  Thu,  4 Apr 2002 18:01:25 +0200

fakeroot (0.4.5-2.1) unstable; urgency=low

  * NMU
  * Namespace problems with gcc 3.0  Closes: #120367

 -- LaMont Jones <lamont@debian.org>  Wed, 28 Nov 2001 11:59:12 -0700

fakeroot (0.4.5-2) unstable; urgency=low

  * Another fix for the 0.4.4-9.2 upload; our paths should
    be added before the old $LD_LIBRARY_PATH, not afer it.
    Closes: #115624

 -- joost witteveen <joostje@debian.org>  Mon, 15 Oct 2001 20:14:03 +0200

fakeroot (0.4.5-1) unstable; urgency=low

  * added a make clean in the fake target. Closes: #114373

 -- joost witteveen <joostje@debian.org>  Thu, 4 Oct 2001 10:14:03 +0200

fakeroot (0.4.5) unstable; urgency=low

  * Only change: add a *fake* setuid /usr/lib/libfakeroot.so*,
    to fix the problems caused by the prev patch that caused
    LD_LIBRARY_PATH to be set. *should* fix a whole host of problems
 -- joost witteveen <joostje@debian.org>  Wed, 26 Sep 2001 10:14:03 +0200

fakeroot (0.4.4-9.2) unstable; urgency=low

  * NMU, for sparc64 environment
  * Added debian/rules section to build a 64bit libfakeroot
  * Updated libtool, since the old one didn't like the -m64 option with
    the --mode=link
  * exclude libfakeroot from dh_shlibdeps call. The faked binary provides
    all the deps we need, and this avoids the 64bit library from pulling
    in libc6-sparc
  * fakeroot: Use LD_LIBRARY_PATH for setting directory, and only
    LD_PRELOAD the library name. This makes it so the the 32/64 libs for
    sparc/sparc64 will load which ever one is needed.

 -- Ben Collins <bcollins@debian.org>  Fri, 27 Apr 2001 10:14:03 -0400

fakeroot (0.4.4-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Wrap setuid, setgid, initgroups. Closes: #48384, #81750, #85844
  * Add debhelper to build dependencies.

 -- Ivo Timmermans <ivo@debian.org>  Fri, 13 Apr 2001 18:29:32 +0200

fakeroot (0.4.4-9) unstable; urgency=low

  * removed /usr/man/man1/* files. Closes: #80749

 -- joost witteveen <joostje@debian.org>  Sat,  6 Jan 2001 19:36:24 +0100

fakeroot (0.4.4-8) unstable; urgency=low

  * Added builddepends: sharutils.

 -- joost witteveen <joostje@debian.org>  Sun, 17 Dec 2000 11:18:54 +0100

fakeroot (0.4.4-7) unstable; urgency=low

  * Added a builddepends on libtool.
  * Applied patch from Roderich Schupp. Fixes: #79100
  * Applied patch from Roderich Schupp. Fixes: #77549

 -- joost witteveen <joostje@debian.org>  Sun, 10 Dec 2000 17:42:37 +0100

fakeroot (0.4.4-6) unstable; urgency=low

  * check return value of sem_op() now (in a while loop),
    Fixes: 59755
  * added explanation to fakeroot(1) what the problems with libtricks
    were, and why I think it's a bad idea to wrap many libc functions

 -- joost witteveen <joostje@debian.org>  Mon,  8 May 2000 11:32:02 +0300

fakeroot (0.4.4-5) unstable; urgency=low

  * moved DEBUG/copyright files to /usr/share/doc.
    Fixes: #50267, #50174.
  * get_ipc_key() now saves the ipc_key in a static variable. This
    speeds things up in general, and apparently in some cases it also
    appears to be needed. (Idea from Yann DIRSON).
  * shlibs file now doesn't have second field. (Idea from illegal NMU)
  * tar now uses open(file, flags, mode) to set the permissions of a file
    directly (without using chmod). As open() isn't wrapped, this caused
    one of the test in the build process to fail. Choose not to wrap open,
    but to remove the test, as it will rarely cause problems in real
    setups, and wrapping open() does cause problems (either now, or in
    future versions of libc when some function suddenly starts to use
    open()).

 -- joost witteveen <joostje@debian.org>  Sat, 11 Mar 2000 18:21:41 +0200

fakeroot (0.4.4-4) unstable; urgency=low

  * Added suggestion of Yann DIRSON to kill the faked deamon
    on the EXIT `signal', rather than just after a succesfull
    run of the command ran under fakeroot. Closes: #47886
  * Use short options in the test script, so that it can run on
    solaris too.
  * fix (very stupid) errors in mknod wrapping function. Mknod
    inside fakeroot now works again (also added test for this).
  * applied some s/que/queue/ spelling fixes in fake.cc.
    Closes: #49928
 -- joost witteveen <joostje@debian.org>  Sat, 13 Nov 1999 20:51:35 +0100

fakeroot (0.4.4-3) unstable; urgency=low

  * Replaced uint32_t by u_int32_t, as the former is only defined
    on glibc-2.1 platforms.
  * Apparently format of tar -t changed slightly. Adopted the
    `tartest' from the tests to this (and the old) format.

 -- joost witteveen <joostje@debian.org>  Sat,  9 Oct 1999 17:25:56 +0200

fakeroot (0.4.4-2) unstable; urgency=low

  * comparison of uid/gid with -1 is done with 32 bits only. Closes: #44543
  * fix version number in configure.in
  * invert test for type of third argument of __xmknod.
  * another automake bug workaround in doc/Makefile.am from Yann DIRSON

 -- joost witteveen <joostje@debian.org>  Wed,  8 Sep 1999 21:25:56 +0200

fakeroot (0.4.4-1) unstable; urgency=low

  * Solaris changes from Yann DIRSON. (Include several fixes for
    incorrect automake/autoconfig usage).
  * correct handling of HAVE_SEMUN_DEF. Closes: #44447

 -- joost witteveen <joostje@debian.org>  Tue,  7 Sep 1999 22:40:41 +0200

fakeroot (0.4.3-3) unstable; urgency=low

  * Use exit value of command run as fakeroot. Closes: 43811
    (used patch from aj, also added test for this, finally)

  * OK, my configure etc scripts to find out whether to wrap stat(),
    _stat, __xstat were not quite OK. More fixes.

 -- joost witteveen <joostje@debian.org>  Tue, 31 Aug 1999 16:25:58 +0200

fakeroot (0.4.3-1) unstable; urgency=low

  * Added test for 42628.
  * slightly changed the /usr/doc/fakeroot/DEBUG info file, hopefully
    making it more clear.
  * thoughout: changes for sun's `_xstat' etc (instead of Linux's __xstat
    etc). Followed example from Yann DIRSON (but used configure tests etc
    instead).
  * spelling fixes by Yann DIRSON.
  * fakeroot script can find libfakeroot also if not installed in
    /usr/lib/... (Yann DIRSON)

 -- joost witteveen <joostje@debian.org>  Wed, 25 Aug 1999 00:34:39 +0200

fakeroot (0.4.2-2) unstable; urgency=low

  * Added '+' to optstring, so that opt parsing stops at first non-opt
    argument. Closes:#42628. (Thanks Ben Pfaff for the '+').

 -- joost witteveen <joostje@debian.org>  Mon, 23 Aug 1999 19:01:53 +0200

fakeroot (0.4.2-1) unstable; urgency=low

  * Applied patch from Richard Braakman. closes: #42710, #42713
    (added slight speedup to the patch, though).
  * Added test for bug 42710, 42713 (using example from bug 42713,
    thanks Thomas Quinot!)
  * manually changed the /var/lib/dpkg/info/fakeroot.shlibs on my system,
    to remove the extra `libc6'. Closes: #43247.

 -- joost witteveen <joostje@debian.org>  Sun, 22 Aug 1999 17:55:04 +0200

fakeroot (0.4.1-3) unstable; urgency=low

  * Added fix from Roman Hodek, to fix build problems on the libc2.0 -
    based m68k (stat64 problems). Notice that I've had to change a few
    items in this fix -- hope I done it right.

 -- joost witteveen <joostje@debian.org>  Thu,  5 Aug 1999 14:34:09 +0200

fakeroot (0.4.1-2) unstable; urgency=low

  * OK, now `fakeroot echo hello' doesn't hand the `hello' to echo. Fixed
    that, and added a test for it.

 -- joost witteveen <joostje@debian.org>  Wed,  4 Aug 1999 13:40:17 +0200

fakeroot (0.4.1-1) unstable; urgency=low

  * Made the fakeroot script exit if getopt returns an error
  * Advertise the possiblitity of `--' to specify commands with options.
    The above two points fix:
  * Switched on stat64 support. Fixes: 42396
  * added test for ls -l failing in test script.
 -- joost witteveen <joostje@debian.org>  Tue,  3 Aug 1999 20:47:36 +0200

fakeroot (0.4.0-1) unstable; urgency=low

  * This version uses the fakeroot-related stuff from the old
    (and abandoned) libtricks package, as that code realy is much
    cleaner and easier to maintain/debug.
    Libtricks already had most of the fixes fakeroot aquired as
    NMU in the last few months. Those fixes not yet present in
    libtrics I've (hopefully) added to this version of fakeroot.

 -- joost witteveen <joostje@debian.org>  Sat, 31 Jul 1999 19:19:40 +0200

fakeroot (0.0-17.6) unstable; urgency=low

  *  Non-maintainer release.
  *  Made the lchown() wrapper actually call lchown() instead of chown(),
     this makes it work on systems with a pure chown() (ie kernel 2.2 and
     glibc 2.1.1 without patches, a la sparc/powerpc)

 -- Ben Collins <bcollins@debian.org>  Tue, 20 Jul 1999 10:36:57 -0600

fakeroot (0.0-17.5) unstable; urgency=low

  * Non-maintainer release.
  * Merge Jason Gunthorpe's changes:
    - Added lchown support and fixed a few typos (closes:Bug#38941,Bug#38928,Bug#38869).
    - Disabled libc 'ldd' hack to speed it up

 -- Joel Klecker <espy@debian.org>  Fri,  4 Jun 1999 08:43:48 -0700

fakeroot (0.0-17.4) unstable; urgency=low

  * Add wrapper for lchown.

 -- Joel Klecker <espy@debian.org>  Mon, 19 Apr 1999 12:00:14 -0700

fakeroot (0.0-17.3) unstable; urgency=low

  * Regenerate the shlibs file, and do it correctly for potato.
  * Apply patch from Richard Braakman <dark@xs4all.nl>.  closes: #34825
  * Compiled against libstdc++2.9.  closes: #27794
  * Noticed that 'static' was removed from the declare of 'semun.'
    closes: #31925

 -- Adam Heath <doogie@debian.org>  Sun, 21 Mar 1999 05:31:32 -0600

fakeroot (0.0-17.2) unstable; urgency=low

  * Fix shlibs file.

 -- Joel Klecker <espy@debian.org>  Fri, 12 Mar 1999 21:54:52 -0800

fakeroot (0.0-17.1) unstable; urgency=low

  * NMU because libtricks doesn't work with glibc 2.1.

 -- Joel Klecker <espy@debian.org>  Mon,  1 Mar 1999 08:09:23 -0800

fakeroot (0.0-17) frozen; urgency=low

  * 0.0-17 Should also have been uploaded to frozen. Correcting that now.


 -- joost witteveen <joostje@debian.org>  Mon,  7 Dec 1998 19:23:40 +0100

fakeroot (0.0-16) unstable; urgency=low

  * removed specific version dependancy in shlib file.
    Fixes: fakeroot

 -- joost witteveen <joostje@debian.org>  Fri,  4 Dec 1998 01:06:35 +0100

fakeroot (0.0-15) frozen unstable; urgency=low

  * Recompiled with libc6-2.0.7u-6.
  * partly applied patch from Matt McLean <keys@yikes.com>, to make
    fakeroot compile with libc 2.1.

 -- joost witteveen <joostje@debian.org>  Sat, 28 Nov 1998 21:49:11 +0100

fakeroot (0.0-14.4) unstable; urgency=medium

  * Corrected broken shlibs file (#28556, #28571) - a lack of a \n was
    causing major breakage.
  * Remove "simple" binary in clean target.

 -- Joey Hess <joeyh@master.debian.org>  Mon, 26 Oct 1998 12:46:48 -0800

fakeroot (0.0-14.3) unstable; urgency=low

  * I talked to Joost yesterday, and he understands why I and others want to
    have fakeroot in 2.1.
  * Modified build process to construct an appropriate shlibs file from
    dpkg-shlibdeps output on a dummy C program. Thus, debian/shlibs no
    longer needs to be kept up to date by hand, and there's no more need for
    architecture-specific conditionals.
    This also fixes the "libc6, libc6 (>= 2.0.6u)" in dependencies of
    fakeroot-built packages.
  * Recompiled; now has up to date libstdc++ dependency (Fixes #27794).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sun, 25 Oct 1998 14:24:56 +0100

fakeroot (0.0-14.2) frozen unstable; urgency=high

  * Current hamm version (0.0-13) broke with libc6_2.0.7r-1
    (`fakeroot "anything"' fails; strace shows the process run inside the
    fakeroot environment segfaulting) (Similar to #21669 and #22013).
    Recompiled with libc6_2.0.7r-1 and matching -dev so that it works again.
    The changes between 0.0-13 (hamm version) and 0.0-14.1 (slink version)
    affect only the build process and the alpha architecture, so they do
    not affect stability on the architectures for which hamm will be
    released; therefore this is based on 0.0-14.1 rather than 0.0-13 .
  * [debian/control] Fixed description (Fixes #18954).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 23 Jun 1998 14:31:42 +0200

fakeroot (0.0-14.1) frozen unstable; urgency=low

  * Fixed contents of shlibs file for alpha, with its libc6.1.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed,  6 May 1998 09:58:32 -0500

fakeroot (0.0-14) unstable; urgency=low

  * debian/rules now removes debian/{files,substvars} in the clean target,
    fixes: 22122

 -- joost witteveen <joostje@debian.org>  Tue,  5 May 1998 19:58:32 +0200

fakeroot (0.0-13) frozen unstable; urgency=low

  * 2 Minor changes to allow fakeroot to compile with egcs.
    However, as egcs is the only c++ compiler with debian, I think
    it is essential (even to comply with the DFSG) that this is put in
    frozen too.
  * Added a "umask 022" to the test/tartest script, as otherwise it will only
    work if whoever compiles fakeroot happens to have a umaks of 022.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri,  1 May 1998 07:44:23 +0200

fakeroot (0.0-12) frozen unstable; urgency=low

  * Fixed shlib file for the move of fakerootlib. (Thanks, Joey Hess, for
    telling me this:)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 25 Apr 1998 22:47:05 +0200

fakeroot (0.0-11) frozen unstable; urgency=low

  * Removed (harmless) debugging statement, that caused rather stange
    error message during package builds started with UID's bigger than
    1999 (anyone said Debian didn't have any 2k bugs?). Fixes: 21007
  * applied workaround for g++ (2.7.2.3) bug (printf("%Li") is treaded
    as printf("%li")) in debugging output.
  * Added a few lines to fakeroot(1), to explain why it's not a good idea
    to run configure scripts etc from within fakeroot.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 19 Apr 1998 11:03:51 +0200

fakeroot (0.0-10) frozen unstable; urgency=low

  * security fix.
  * changed order of library and symbolic link in .deb file.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 28 Jan 1998 14:53:14 +0100

fakeroot (0.0-9a) unstable; urgency=low

  * I'd like the next "real" release to include VIRTUAL_ROOT. So, this
    is not a "debian" release. (but use as you wish)
  * dpkg-shlibdeps appears not to complain if fakeroot.shlibs just says:
    "/usr/lib/libfakeroot      0" (without any package name). So I use
    that.
  * Debian Changelog is now called changelog.Debian.gz (not changelog)
  * fakeroot children now inherit parent's environment.
  * Applied Joey's isell patch (plus Dirk's addition, and Mark's programme
    comment (Checked it, yes my Consise Oxford also says that), and some
    corrections of my own). That should probably fix about half of the
    spelling errors, I guess.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Tue,  9 Sep 1997 22:54:38 +0200

fakeroot (0.0-9) unstable; urgency=low

  * removed xbase source dependancy (used mkdirhier, changed to mkdir -p)
  * changed "adm" to "sys", in the tartest (and in my /etc/passwd!),
    to allow the tartest to succeed on normal debian systems too.
  * Some changes/additions to manual page.
  * fakeroot now uses libfakeroot.so.0 by default, instead
    of libfakeroot.so.0.0. This removes the dpkg-shlibdeps warnings.
  * Added a libfakeroot.so.0 symlink.
  * added the full path in the shlibfile (/usr/lib/libfakeroot)
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat,  6 Sep 1997 20:24:55 +0200

fakeroot (0.0-8) unstable; urgency=low

  * Added -D_REENTRANT to the flags when building libfakeroot.
  * Added strip --strip-unneeded libfakeroot in rules "binary" target.
  * really return EPERM on things like "chmod 0 file"
  * changed --nodebian to be the default again.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun,  3 Aug 1997 15:32:40 +0200

fakeroot (0.0-7) unstable; urgency=low

  * Added a shlibs file (to prevent (harmless) warnings form
    dpkg-shlibdeps).
  * Now also wrap rename(), fixing bug #11613.
  * added "mv" tests to the "debian/rules build" tests.
  * use dlsym(RTLD_NEXT,...), instead of
    dlsym(dlopen("/lib/libc.so.6"),..), so that multiple wrapper libs
    may be used.
  * "mknod" now creates it's files mode 0644 on the filesystem, not
    mode 0666.
  * Added manpage (converted/written by Ray Dassen).
  * --debian option works now.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat,  2 Aug 1997 18:01:03 +0200

fakeroot (0.0-6) unstable; urgency=low

  * fakeroot now returns correct exit status.
    (question from Andreas Jellinghaus <aj@dungeon.inka.de>).
  * fix bug where a chown(), chomd(), mknod() etc on "new" files
    (for fakeroot) would cause the data not touched by that specific
    function to be corrupt (also noticed by Andreas Jellinghaus
    <aj@dungeon.inka.de>).
  * unlinking of directories now happens when nlink==2, not==1.
  * work around "touch f; chmod 000 f; echo>f" problem (works for
    root, but not for user/fakeroot): a "chmod 000" call will
    be translated into "chmod 600 (or 700)" to the kernel (and thus
    the real filesystem), but the "fakedata" will record the 000
    permissions.
  * also wrap mkdir call, as that can create dirs with
    permission 000 too (thus unwritable, shows up in tar).
  * Prevent lost IPC messages causing havoc
    (losses were due to signals sent to process)
  * code-cleanups.
  * Added options:
     --lib library    location of libfakeroot.so.0.0
                     (make sure you specify a absolute path here).
     --mixedlibhack   test for libc5 binaries, and remove LD_PRELOAD for them.
     --nomixedlibhack don't test for libc5 binaries (significantly faster).
  * Added a few autmatic tests for fakeroot.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 16 Jul 1997 22:00:57 +0200

fakeroot (0.0-5) unstable; urgency=low

  * fixed "internal error" message.
  * stat's are compared with dev number now, not just inodes.
  * some README changes.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 12 Jul 1997 15:19:13 +0200

fakeroot (0.0-4) unstable; urgency=low

  * now also builds "tar" succesfully, this was done by fixing:

  * after a chdir (that the deamon doesnt follow), unlink and friends
    didn't work any more, causing 'interesting' results.
  * after a chown(file), fakeroot would report only the "fake"
    filesize (from the moment of the chown/chomd), not
    the "real" filesize.
  * also wrap "remove", "rmdir" functions.

  * Now I'm finally also wrapping "stat" (seems not to be used by
    any programmes, they all use eigher fstat or lstat).
  * As noted by a user, I left some debugging binaries (with "debugging"
    permission mods) in the source archive. Sorry, removed those.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri,  4 Jul 1997 16:36:58 +0200

fakeroot (0.0-3) unstable; urgency=low

  * First release to be uploaded to master.
  * "dpkg-buildpackage -rfakeroot" works reliably now (but you
    do need libc6 versions of dpkg, tar, fileutils, bash, make, (...?)

  * fixed bug when two programmes were running simultiniosly, messing up
    the deamon input and output stuff. (using IPC semaphones now)
  * Oops, cannot even use "printf"'s in the wrapper for debugging!
    Debugging now handled via IPC messages, too.

  * this package was built as non-root! (first debian package ever, I
    think!)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri,  4 Jul 1997 00:13:07 +0200

fakeroot (0.0-2) unstable; urgency=low

  * Added code to detect libc5 programmes, and run those without
    LD_PRELOAD set.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed,  2 Jul 1997 23:20:14 +0200

fakeroot (0.0-1) unstable; urgency=low

  * fixed all known (to me known, anyway) bugs.
  * added fchown, fchmod, fstat, but haven't tested those yet.
  * I've got a libc6 dpkg now, but my (own compiled) perl apparently
    has something wrong, so I still cannot test this in a real
    environment.
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 29 Jun 1997 21:49:47 +0200

fakeroot (0.0-0) unstable; urgency=low

  * initial release. More intended to show you guys what
    I've done so far than to be actually usefull.
  * BUG: doesn't depend on libg++272 (sue me).
  * More BUGS: see /usr/doc/fakeroot/BUGS
  * You'll need libc6 versions of the commands you want to
    execute within fakeroot (tar, gzip, dpkg, ... (see README)).
  * Because I cannot rebuild dpkg (see seperate message in
    debian-devel), I haven't been able to actually test
    this with dpkg-build -rfakeroot. But stuff like
      touch file;          ls -al file;
      chown root:adm file; ls -l file;
      mknod block b 3 1;   ls -l block;
    work OK. (BUG: chmod u+s file doesn't).

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri, 27 Jun 1997 22:01:38 +0200
